<?php
/******/

function convert_comma_to_dot($somestring)
//convert comma to dot
{
	return(str_replace(",",".",$somestring));
}


/******/

function convert_dot_to_comma($somestring)
//convert comma to dot
{
	return(str_replace(".",",",$somestring));
}



/*******/

function reverse($str,$vs)
//reverses the first two elements of each line, namely the lat,long
{
	$ret="";
//	echo "[$vs]";
	$lterm=detect_line_termination($str);
	$line = strtok($str, $lterm);
	while ($line !== false){
		$myarr=explode($vs,$line);
//		print_r($myarr);
		if(count($myarr)<2) $ret.=$line.$lterm;			//probably $vs character is missing or it just an error line
		else {
			list($myarr[0],$myarr[1])=array($myarr[1],$myarr[0]);
			$ret.=implode($vs,$myarr).$lterm;
		}
		$line = strtok($lterm);
		
	}
	return($ret);
}

/*******/

function replace_chars($str,$oldvs, $oldds, $newvs, $newds)
//replaces the old value separator and the decimal sign  with the new ones in string $str
{
	$ret="";
	//echo "$str>>";
//	echo "oldvs:[$oldvs] * oldds:[$oldds] * newvs:[$newvs] * newds:[$newds]<br />"; 
	$lterm=detect_line_termination($str);
	$line = strtok($str, $lterm);
	while ($line !== false){
		$myarr=explode($oldvs,$line,3);				//do not explode last elements containing names of maps
		//print_r($myarr);
		//echo "<------>";
		if(count($myarr)<2) $ret.=$line.$lterm;			//probably $vs character is missing or it just an error line
		else {
			$myarr[0]=str_replace($oldds,$newds,$myarr[0]);
			$myarr[1]=str_replace($oldds,$newds,$myarr[1]);
			//		print_r($myarr);
			//		echo "<br/>";
			$ret.=implode($newvs,$myarr).$lterm;
			}
		$line = strtok($lterm);
		}
//	echo "$ret>>";
	return($ret);
}

/*******/

function detect_line_termination($str)
//rudimentray function to detect line termination character(s)
//probably useless
{	
//	echo $str;
//	for ($i=0;$i<strlen($str);$i++) echo ord(substr($str,$i,1))."<--->";
	if (strpos($str,"\r\n") !==false) return("\r\n");
//	echo "Arrived 1";
	if(strpos($str,"\n") !==false) return("\n");
//	echo "Arrived 2";
	if(strpos($str,"\r") !==false) return("\r");
//	echo "Arrived 3";
	return("");
}

/*******/

function to_decimal_degrees($str)
//converts the string $str to decimal degrees from a value indicated by $WGS84fmt
{
	$WGS84ds=$_SESSION['WGS84ds'];
	//	echo "ηρθε: $str |";
	$fval=
	$tok=strtok($str,"°'\":");
	//echo "|1->$tok|";
	$fval=strval($tok);
	$tok=strtok("°'\":");
	//for($i=0;$i<strlen($tok);$i++) echo "[".ord(substr($tok,$i,1))."]";
	//echo "|2->$tok|";
	$fval+=strval($tok)/60;
	$tok=strtok("°'\":");
	//echo "|3->$tok|";
	if($WGS84ds==",") $tok=convert_comma_to_dot($tok);
	$fval+=strval($tok)/3600;
	if($WGS84ds==",") $fval=convert_dot_to_comma($fval);
	//echo "εφυγε:$fval|";
	return($fval);
}

/*******/

function from_decimal_degrees($str,$WGS84fmt)
//converts a string from decimal degrees to other format according to $WGS84fmt value
{
//	$WGS84fmt=$_SESSION['WGS84fmt'];
	$WGS84ds=$_SESSION['WGS84ds'];
	
	//echo "Before a:$WGS84fmt str:$str";
	if(strpos($str,":") !==false) {
		//existing str in in form dd:mm:ss
		if ($WGS84fmt== "varsigns") {
			$str=explode(":",$str);
			return($str[0]."°".$str[1]."'".$str[2]."\"");
		}
	}
	else if (strpos($str,"°") !==false){
		if ($WGS84fmt== "colon") {
			$str=str_replace("\"","",$str);
			$str=str_replace(array("°","'"),":",$str);
			return($str);
		}
	}
	else {
		if($WGS84ds==",") $str=convert_comma_to_dot($str);
		$str=strval($str);
		$deg=intval($str);
		$min=intval(60*($str-$deg));
		$sec=round(3600*($str-$deg-$min/60),8);
		//echo "str:$str deg:$deg min:$min sec:$sec";
		$ret="";
		if ($WGS84fmt== "colon") $ret="$deg:$min:$sec";
		else if ($WGS84fmt== "varsigns") $ret=$deg."°".$min."'".$sec."\"";
		//echo "After a:$ret";
		if($WGS84ds==",") $str=convert_dot_to_comma($str);
		return($ret);
	}
	
}

/*******/

function convert_to_normal($txt)
//converts the coordinates  in each line to decimal degrees from using the $WGS84fmt value
{
	$WGS84vs=$_SESSION['WGS84vs'];	
	//echo "Before conversion to normal:". $txt."<br/>";
	//	for ($i=0;$i<strlen($txt);$i++) echo "[".ord(substr($txt,$i,1))."]";
	$lines=array();
	$lterm=detect_line_termination($txt);
	$line = strtok($txt, $lterm);			//collect all lines because only one instance of strtok can be implemented
	while ($line !== false){
		$lines[]=trim($line);
		$line=strtok($lterm);
	}
	$ret="";
	for($i=0;$i<count($lines);$i++) {
		$myarr=explode($WGS84vs,$lines[$i]);
		if(count($myarr)<2) $ret.=$lines[$i].$lterm;			//probably $vs character is missing or it just an error line
		else {
			$myarr[0]=to_decimal_degrees(trim($myarr[0]));
			$myarr[1]=to_decimal_degrees(trim($myarr[1]));
			$ret.=implode($WGS84vs,$myarr).$lterm;
			}
	}
	return($ret);

}

/*******/

function convert_to_composite($text,$fmt)
//converts the coordinates  in each line form decimal degrees to other forms according to $WGS84fmt value

{
	$WGS84vs=$_SESSION['WGS84vs'];
	//		echo "Before converting to composite". $text."<br/>";
	$lines=array();
	$lterm=detect_line_termination($text);
	$line = strtok($text, $lterm);			//collect all lines because only one instance of strtok can be implemented
	while ($line !== false){
		$line=trim($line);
		if (!empty($line)) $lines[]=trim($line);
		$line=strtok($lterm);
	}
	$ret="";
	//print_r($lines);
	for($i=0;$i<count($lines);$i++) {
		$myarr=explode($WGS84vs,$lines[$i]);
		//print_r($myarr);
		if(count($myarr)<2) $ret.=$lines[$i].$lterm;			//probably $vs character is missing or it just an error line
		else {
			$myarr[0]=from_decimal_degrees(trim($myarr[0]),$fmt);
			$myarr[1]=from_decimal_degrees(trim($myarr[1]),$fmt);
			$ret.=implode($WGS84vs,$myarr).$lterm;
			}
	}
	//echo "after converting to composite". $ret."<br/>";
	return($ret);

}

/********/

function beautify($text, $vs)
// trims() each line, gets rids of extra white space and removes duplicate value separators
//$vs is the value separator
{
	$eol = detect_line_termination($text);
	$rettext="";
	$line = strtok($text, "\r\n");
	while ($line !== false) {
		$tmp=trim($line);								//get rid of empty lines
		if (!empty($tmp)) $rettext.=trim($line).$eol;
		$line = strtok("\r\n" );
	}
	$rettext=preg_replace("/[ \t]+/"," ",$rettext);			//replace extra space chars with one space
	$pattern="/\x".dechex(ord($vs))."\x".dechex(ord($vs))."+/";
	$rettext=preg_replace($pattern, $vs, $rettext);       //Remove duplicate value separators
	return($rettext);
}

/******/


function convert_to_same_map($hatt_no)
//Coverts all lines of HATTtext by changing the name of the map to $hatt_no
//the coordinates are left intact
{                                               
//global $HATTtext, $HATTvs,$hatt_no;
$HATTtext=$_SESSION['HATTtext'];
$HATTvs=$_SESSION['HATTvs'];
//$hatt_no=$_SESSION['hatt_no'];

$lines="";
$lterm=detect_line_termination($HATTtext);
$line = strtok($HATTtext, $lterm);
while ($line !== false) {

	$tarr=explode($HATTvs,trim($line),3);  
	foreach($tarr as &$coord) $coord=trim($coord);
	if (count($tarr)>=2 && $hatt_no!="0") $tarr[2]="[$hatt_no]";
	$lines.=implode($HATTvs,$tarr).$lterm;
	$line = strtok($lterm);
}
return($lines);
	
}

/*******/
//function to sort a 2 dimentional numeric array accorrding some key
function build_sorter($key) {
    return function ($a, $b) use ($key) {
        return ($a[$key]> $b[$key]);
    };
}

?>
