<?php
//http://spatialreference.org/ref/sr-org/6756/ for the  HTRS07 system
//+proj=tmerc +lat_0=0 +lon_0=24 +k=0.9996 +x_0=500000 +y_0=-2000000 +ellps=GRS80 +towgs84=3.6,1.329,3.026,-0.17,-0.06,-0.151,-0.294 +units=m +no_defs 
//Proj4js.defs["SR-ORG:6756"] = "+proj=tmerc +lat_0=0 +lon_0=24 +k=0.9996 +x_0=500000 +y_0=-2000000 +ellps=GRS80 +towgs84=3.6,1.329,3.026,-0.17,-0.06,-0.151,-0.294 +units=m +no_defs";
//Proj4js.defs["EPSG:3035"] = "+proj=laea +lat_0=52 +lon_0=10 +x_0=4321000 +y_0=3210000 +ellps=GRS80 +units=m +no_defs";
/******/

/*******/

session_start();
include_once("transforms.php");
include_once("func.php");

if(isset($_POST['clear_all'])) {
	unset($_POST);
	session_unset();
}

if (!isset($_SESSION['h2e'])) {
	$h2e=read_coefficients();
	$_SESSION['h2e']=$h2e;
}
else $h2e=$_SESSION['h2e'];
//next load all resources to find correction factors for HTRS07
if( !isset($_SESSION['ef']) || !isset($_SESSION['nf']) || !is_resource($_SESSION['ef']) || !is_resource($_SESSION['nf'])) {
	list($_SESSION['ef'],$_SESSION['nf'],$_SESSION['vima'],$_SESSION['low_x'],$_SESSION['low_y'])=check_data_files();
}
if (!isset($_SESSION['offs'])) $_SESSION['offs']=file("data.ndx",FILE_IGNORE_NEW_LINES);

        

//********
if (isset($_POST['Prefs'])) {					//Prefs form submitted
	//reversed 
	if (isset($_POST['reversed'])) {  
		if ($_SESSION['reversed'] == false) {  //reverse the existing text with old vs
			//		echo $_SESSION['WGS84text'];
//			$_SESSION['WGS84text']=reverse($_SESSION['WGS84text'],$_SESSION['WGS84vs']);
		}
		$reversed=true;
		$_SESSION['reversed']=true;
	}
	else if ($_SESSION['reversed'] == true) {
//			$_SESSION['WGS84text']=reverse($_SESSION['WGS84text'],$_SESSION['WGS84vs']);
			$reversed=false;
			$_SESSION['reversed']=false;
	}
	else $reversed=$_SESSION['reversed'];
	
	//WGS84text options
	if ($_POST['WGS84vs']!=$_SESSION['WGS84vs'] || $_POST['WGS84ds']!=$_SESSION['WGS84ds']) {
		$_SESSION['WGS84text']=replace_chars($_SESSION['WGS84text'],$_SESSION['WGS84vs'],$_SESSION['WGS84ds'],$_POST['WGS84vs'], $_POST['WGS84ds']);
		
		$WGS84vs=$_POST['WGS84vs'];
		$_SESSION['WGS84vs']=$WGS84vs;
		$WGS84ds=$_POST['WGS84ds'];
		$_SESSION['WGS84ds']=$WGS84ds;
	}
	else  {
		$WGS84vs=$_SESSION['WGS84vs'];
		$WGS84ds=$_SESSION['WGS84ds'];
	}
		
	//WGS84fmt
	if (isset($_POST['WGS84fmt'])) {  
		$WGS84fmt=$_POST['WGS84fmt'];		//$WGS84fmt is needed by convert... routines below
		if ($_SESSION['WGS84fmt'] != $_POST['WGS84fmt']) { 
			if($_POST['WGS84fmt']=="normal")	{
				$_SESSION['WGS84text']=convert_to_normal($_SESSION['WGS84text']);
			}
			else {
				$_SESSION['WGS84text']=convert_to_composite($_SESSION['WGS84text'],$WGS84fmt);
			}
		$WGS84text=$_SESSION['WGS84text'];
		$_SESSION['WGS84fmt']=$WGS84fmt;
	}
	else {
		$WGS84fmt=$_SESSION['WGS84fmt'];
	}
	}
	//EGSA87text options
	if ($_POST['EGSA87vs']!=$_SESSION['EGSA87vs'] || $_POST['EGSA87ds']!=$_SESSION['EGSA87ds']) {
		$_SESSION['EGSA87text']=replace_chars($_SESSION['EGSA87text'],$_SESSION['EGSA87vs'],$_SESSION['EGSA87ds'],$_POST['EGSA87vs'], $_POST['EGSA87ds']);
		
		$EGSA87vs=$_POST['EGSA87vs'];
		$_SESSION['EGSA87vs']=$EGSA87vs;
		$EGSA87ds=$_POST['EGSA87ds'];
		$_SESSION['EGSA87ds']=$EGSA87ds;
	}
	else  {
		$EGSA87vs=$_SESSION['EGSA87vs'];
		$EGSA87ds=$_SESSION['EGSA87ds'];
	}
	//HTRS07text options
	if ($_POST['HTRS07vs']!=$_SESSION['HTRS07vs'] || $_POST['HTRS07ds']!=$_SESSION['HTRS07ds']) {
		$_SESSION['HTRS07text']=replace_chars($_SESSION['HTRS07text'],$_SESSION['HTRS07vs'],$_SESSION['HTRS07ds'],$_POST['HTRS07vs'], $_POST['HTRS07ds']);
		
		$HTRS07vs=$_POST['HTRS07vs'];
		$_SESSION['HTRS07vs']=$HTRS07vs;
		$HTRS07ds=$_POST['HTRS07ds'];
		$_SESSION['HTRS07ds']=$HTRS07ds;
	}
	else  {
		$HTRS07vs=$_SESSION['HTRS07vs'];
		$HTRS07ds=$_SESSION['HTRS07ds'];
	}
	//HATTtext options
	if ($_POST['HATTvs']!=$_SESSION['HATTvs'] || $_POST['HATTds']!=$_SESSION['HATTds']) {
		$_SESSION['HATTtext']=replace_chars($_SESSION['HATTtext'],$_SESSION['HATTvs'],$_SESSION['HATTds'],$_POST['HATTvs'], $_POST['HATTds']);
		
		$HATTvs=$_POST['HATTvs'];
		$_SESSION['HATTvs']=$HATTvs;
		$HATTds=$_POST['HATTds'];               
		$_SESSION['HATTds']=$HATTds;
	}
	else  {
		$HATTvs=$_SESSION['HATTvs'];
		$HATTds=$_SESSION['HATTds'];
	}
} 
else {	//All values should be preserved
//reversed 
	if(isset($_SESSION['reversed'])) $reversed=$_SESSION['reversed'];
	else {
		$reversed=false;
		$_SESSION['reversed']=false;
	}
//WGS84fmt
	if(isset($_SESSION['WGS84fmt'])) $WGS84fmt=$_SESSION['WGS84fmt'];
	else {
		$WGS84fmt="normal";
		$_SESSION['WGS84fmt']=$WGS84fmt;
	}
//WGS84text options
	if(isset($_SESSION['WGS84vs'])) $WGS84vs=$_SESSION['WGS84vs'];
	else {
		$WGS84vs=",";
		$_SESSION['WGS84vs']=$WGS84vs;
	}
	if(isset($_SESSION['WGS84ds'])) $WGS84ds=$_SESSION['WGS84ds'];
	else {
		$WGS84ds=".";
		$_SESSION['WGS84ds']=$WGS84ds;
	}
//EGSA87text options
	if(isset($_SESSION['EGSA87vs'])) $EGSA87vs=$_SESSION['EGSA87vs'];
	else {
		$EGSA87vs=",";
		$_SESSION['EGSA87vs']=$EGSA87vs;
	}
	if(isset($_SESSION['EGSA87ds'])) $EGSA87ds=$_SESSION['EGSA87ds'];
	else {
		$EGSA87ds=".";
		$_SESSION['EGSA87ds']=$EGSA87ds;
	}
//HTRS07text options
	if(isset($_SESSION['HTRS07vs'])) $HTRS07vs=$_SESSION['HTRS07vs'];
	else {
		$HTRS07vs=",";
		$_SESSION['HTRS07vs']=$HTRS07vs;
	}
	if(isset($_SESSION['HTRS07ds'])) $HTRS07ds=$_SESSION['HTRS07ds'];
	else {
		$HTRS07ds=".";
		$_SESSION['HTRS07ds']=$HTRS07ds;
	}
//HATTtext options
	if(isset($_SESSION['HATTvs'])) $HATTvs=$_SESSION['HATTvs'];
	else {
		$HATTvs=",";
		$_SESSION['HATTvs']=$HATTvs;
	}
	if(isset($_SESSION['HATTds'])) $HATTds=$_SESSION['HATTds'];
	else {
		$HATTds=".";
		$_SESSION['HATTds']=$HATTds;
	}
}


//*******
if (isset($_POST['WGS84text'])) {
	$WGS84text=$_POST['WGS84text'];
	$_SESSION['WGS84text']=$WGS84text;
}
else if(isset($_SESSION['WGS84text'])) $WGS84text=$_SESSION['WGS84text'];
else  {
	$WGS84text="";
	$_SESSION['WGS84text']=$WGS84text;
}


//********

if (isset($_POST['EGSA87text'])) {
	$EGSA87text=$_POST['EGSA87text'];
	$_SESSION['EGSA87text']=$EGSA87text;
}
else if(isset($_SESSION['EGSA87text'])) $EGSA87text=$_SESSION['EGSA87text'];
else  {
	$EGSA87text="";
	$_SESSION['EGSA87text']=$EGSA87text;
}
//********

if (isset($_POST['HTRS07text'])) {
	$HTRS07text=$_POST['HTRS07text'];
	$_SESSION['HTRS07text']=$HTRS07text;
}
else if(isset($_SESSION['HTRS07text'])) $HTRS07text=$_SESSION['HTRS07text'];
else  {
	$HTRS07text="";
	$_SESSION['HTRS07text']=$HTRS07text;
}
//********
if (isset($_POST['HATTtext'])) {
	$HATTtext=$_POST['HATTtext'];
	$_SESSION['HATTtext']=$HATTtext;
}
else if(isset($_SESSION['HATTtext'])) $HATTtext=$_SESSION['HATTtext'];
else {
	$HATTtext="";
	$_SESSION['HATTtext']=$HATTtext;
}
//********
//*******
if (isset($_POST['hatt_no'])) {
	$hatt_no=$_POST['hatt_no'];
// in this section  $_SESSION['HATTtext'] is not changed 
	if ($hatt_no !="0" && $_SESSION['hatt_no'] !=$hatt_no) {	//Change all maps to the signle new one
		$HATTtext=convert_to_same_map($hatt_no);
	}
	$_SESSION['hatt_no']=$hatt_no;
} 
else if(isset($_SESSION['hatt_no'])) $hatt_no=$_SESSION['hatt_no'];
else  {
	$hatt_no="0";
	$_SESSION['hatt_no']=$hatt_no;
}



//********

if (isset($_POST['fromWGS84text'])) {
	//	echo "entered just in here";
	$WGS84text=beautify($WGS84text, $WGS84vs);
	$_SESSION['WGS84text']=$WGS84text;										//store it permanently
//	print $WGS84text;
	
	$lterm=detect_line_termination($WGS84text);
	if(mb_strlen($WGS84text)>128000) die("Input text is longer than 128000 characters");
	if($WGS84fmt!="normal") $WGS84text=convert_to_normal($WGS84text);  //convert number format to normal
	if ($WGS84ds==',') {					//text must be converted to dot decimal separator
		 $WGS84text=convert_comma_to_dot($WGS84text);
	}
	$line = strtok($WGS84text, $lterm);
	$EGSA87text="";
	$HTRS07text="";
	$HATTtext="";
	while ($line !== false) {
		$line=trim($line);
		$tlen=strlen($line);			//no need to use mb_strlen here..
      if ($tlen>1000 || $tlen<3) {
			$EGSA87text.="Wrong line length!!!$lterm";
			$HATTtext.="Wrong line length!!!$lterm";   
      }
		else {
			$tarr=explode($WGS84vs,trim($line));  
			foreach($tarr as &$coord) $coord=trim($coord);
			if (count($tarr)<2 || !is_numeric($tarr[0]) || !is_numeric($tarr[1])) {
				$EGSA87text.="Missing coordinates!!!$lterm";
				$HTRS07text.="Missing coordinates!!!$lterm"; 
				$HATTtext.="Missing coordinates!!!$lterm"; 

			}
			else {
				if ($reversed) list($tarr[0], $tarr[1])=array($tarr[1], $tarr[0]);  //swap cordinates
				$pointDest = WGS84_to_EGSA87($tarr[0], $tarr[1]);
				$EGSA87text.=$pointDest[0].$EGSA87vs.$pointDest[1].$lterm;
				$coords=EGSA87_to_HTRS07($pointDest[0],$pointDest[1]);
				$HTRS07text.=$coords[0].$HTRS07vs.$coords[1].$lterm;
				$tarr=find_fyllo($pointDest[0],$pointDest[1]);
				$HATTtext.=$tarr[0].$HATTvs.$tarr[1].$HATTvs.$tarr[2].$lterm;     
			}
		}
		$line = strtok( $lterm );                                                        
	}
	
	if ($WGS84fmt !="normal") $WGS84text=convert_to_composite($WGS84text,$WGS84fmt);
	if ($WGS84ds==',') {					//text must be converted to dot decimal separator
		 $WGS84text=convert_dot_to_comma($WGS84text);
	}
	if ($EGSA87ds==',') {
		 $EGSA87text=convert_dot_to_comma($EGSA87text);
	}
	if ($HTRS07ds==',') {
		$HTRS07text=convert_dot_to_comma($HTRS07text);		
	}
	if ($HATTds==',') {
		 $HATTtext=convert_dot_to_comma($HATTtext);
	}
	//store converted text to SESSION variables
	list($_SESSION['EGSA87text'],$_SESSION['HTRS07text'],$_SESSION['HATTtext'])=array($EGSA87text,$HTRS07text,$HATTtext);

 
}
elseif (isset($_POST['fromEGSA87text'])) {
	
	$EGSA87text=beautify($EGSA87text, $EGSA87vs);
	$_SESSION['EGSA87text']=$EGSA87text;										//store it permanently

	$lterm=detect_line_termination($EGSA87text);
	
	if(mb_strlen($EGSA87text)>128000) die("Input text is longer than 128000 characters");
	if ($EGSA87ds==',') {					//text must be converted to dot decimal separator
		 $EGSA87text=convert_comma_to_dot($EGSA87text);
	}
	$line = strtok($EGSA87text, $lterm);
	$WGS84text="";
	$HATTtext="";
	$HTRS07text="";
	while ($line !== false) {
		$line=trim($line);
		$tlen=strlen($line);		//no need for mb_strlen
      if ($tlen>1000 || $tlen<3) {
			$WGS84text.="Wrong line length!!!$lterm";
			$HATTtext.="Wrong line length!!!$lterm";   
      }
		else {
			$tarr=explode($EGSA87vs,trim($line));  
			foreach($tarr as &$coord) $coord=trim($coord);
			if (count($tarr)<2 || !is_numeric($tarr[0]) || !is_numeric($tarr[1])) {
				$WGS84text.="Missing coordinates!!!$lterm";
				$HATTtext.="Missing coordinates!!!$lterm"; 
				$HTRS07text.="Missing coordinates!!!$lterm"; 
			}
			else {
//				$pointSrc=new proj4phpPoint($tarr[0], $tarr[1]);
				$pointDest = EGSA87_to_WGS84($tarr[0], $tarr[1]);
				if($reversed) $WGS84text.=$pointDest[1].$WGS84vs.$pointDest[0].$lterm;
				else  $WGS84text.=$pointDest[0].$WGS84vs.$pointDest[1].$lterm;
				$pointDest=EGSA87_to_HTRS07($tarr[0],$tarr[1]);
				$HTRS07text.=$pointDest[0].$HTRS07vs.$pointDest[1].$lterm;
				$tarr=find_fyllo($tarr[0],$tarr[1]);
				$HATTtext.=$tarr[0].$HATTvs.$tarr[1].$HATTvs.$tarr[2].$lterm;
				
			}
		}
		$line = strtok( $lterm );                                                        
	}

	if ($WGS84fmt !="normal") $WGS84text=convert_to_composite($WGS84text,$WGS84fmt);
	if ($WGS84ds==',') {					//text must be converted to dot decimal separator
		 $WGS84text=convert_dot_to_comma($WGS84text);
	}
	if ($EGSA87ds==',') {
		 $EGSA87text=convert_dot_to_comma($EGSA87text);
	}
	if ($HTRS07ds==',') {
		$HTRS07text=convert_dot_to_comma($HTRS07text);		
	}
	if ($HATTds==',') {
		 $HATTtext=convert_dot_to_comma($HATTtext);
	}
	//store converted text to SESSION variables
	list($_SESSION['WGS84text'],$_SESSION['HTRS07text'],$_SESSION['HATTtext'])=array($WGS84text,$HTRS07text, $HATTtext);
 	

}
elseif (isset($_POST['fromHTRS07text'])) {
	$HTRS07text=beautify($HTRS07text, $HTRS07vs);
	$_SESSION['HTRS07text']=$HTRS07text;										//store it permanently

	$lterm=detect_line_termination($HTRS07text);
	
	if(mb_strlen($HTRS07text)>128000) die("Input text is longer than 128000 characters");
	if ($HTRS07ds==',') {					//text must be converted to dot decimal separator
		 $HTRS07text=convert_comma_to_dot($HTRS07text);
	}
	$line = strtok($HTRS07text, $lterm);
	$WGS84text="";
	$EGSA87text="";
	$HATTtext="";
	while ($line !== false) {
		$line=trim($line);
		$tlen=strlen($line);		//no need for mb_strlen
      if ($tlen>1000 || $tlen<3) {
			$WGS84text.="Wrong line length!!!$lterm";
			$EGSA87text.="Wrong line length!!!$lterm";
			$HATTtext.="Wrong line length!!!$lterm";   
      }
		else {
			$tarr=explode($HTRS07vs,trim($line));  
			foreach($tarr as &$coord) $coord=trim($coord);
			if (count($tarr)<2 || !is_numeric($tarr[0]) || !is_numeric($tarr[1])) {
				$WGS84text.="Missing coordinates!!!$lterm";
				$EGSA87text.="Missing coordinates!!!$lterm"; 
				$HATTtext.="Missing coordinates!!!$lterm"; 
			}
			else {
				
				$coords = HTRS07_to_EGSA87($tarr[0], $tarr[1]);
				$EGSA87text.=$coords[0].$EGSA87vs.$coords[1].$lterm;
				$pointDest=EGSA87_to_WGS84($coords[0],$coords[1]);
				if($reversed) $WGS84text.=$pointDest[1].$WGS84vs.$pointDest[0].$lterm;
				else  $WGS84text.=$pointDest[0].$WGS84vs.$pointDest[1].$lterm;
//				$pointDest=EGSA87_to_HATT($tarr[0],$tarr[1]);
//				$HTRS07text.=$pointDest[0].$HTRS07vs.$pointDest[1].$lterm;
				$tarr=find_fyllo($coords[0],$coords[1]);
				$HATTtext.=$tarr[0].$HATTvs.$tarr[1].$HATTvs.$tarr[2].$lterm;
				
			}
		}
		$line = strtok( $lterm );                                                        
	}

	if ($WGS84fmt !="normal") $WGS84text=convert_to_composite($WGS84text,$WGS84fmt);
	if ($WGS84ds==',') {					//text must be converted to dot decimal separator
		 $WGS84text=convert_dot_to_comma($WGS84text);
	}
	if ($EGSA87ds==',') {
		 $EGSA87text=convert_dot_to_comma($EGSA87text);
	}
	if ($HTRS07ds==',') {
		$HTRS07text=convert_dot_to_comma($HTRS07text);		
	}
	if ($HATTds==',') {
		 $HATTtext=convert_dot_to_comma($HATTtext);
	}
	//store converted text to SESSION variables
	list($_SESSION['WGS84text'],$_SESSION['EGSA87text'],$_SESSION['HATTtext'])=array($WGS84text,$EGSA87text, $HATTtext);
 	
}
elseif (isset($_POST['fromHATTtext'])) {
	
	$HATTtext=beautify($HATTtext, $HATTvs);
	$_SESSION['HATTtext']=$HATTtext;										//store it permanently
	
	$lterm=detect_line_termination($HATTtext);

	if(mb_strlen($HATTtext)>128000) die("Input text is longer than 128000 characters");
	if ($HATTds==',') {					//text must be converted to dot decimal separator
		 $HATTtext=convert_comma_to_dot($HATTtext);
	}
	$line = strtok($HATTtext, $lterm);
	$WGS84text="";
	$EGSA87text="";
	$HTRS07text="";
	while ($line !== false) {
		$line=trim($line);
		$tlen=mb_strlen($line);			
      if ($tlen>1000 || $tlen<3) {
			$WGS84text.="Wrong line length!!!$lterm";   
			$EGSA87text.="Wrong line length!!!$lterm";
			$HTRS07text.="Wrong line length!!!$lterm";   
      }
		else {
			$tarr=explode($HATTvs,trim($line),3);  
			foreach($tarr as &$coord) $coord=trim($coord);
			if (count($tarr)>=2 && $hatt_no!="0") $tarr[2]=$hatt_no;
			if (count($tarr)<3 || !is_numeric($tarr[0]) || !is_numeric($tarr[1])) {
				$WGS84text.="Missing data!!!$lterm";   
				$EGSA87text.="Missing data!!!$lterm";
				$HTRS07text.="Missing data!!!$lterm";   
			}
			else {
//			print_r($tarr);
//				echo "****";
//				print_r($h2e);
//				exit;
				$egsapoints= from_HATT_to_EGSA87($tarr[0], $tarr[1], $tarr[2]);
				if ($egsapoints===false) {
					$WGS84text.="Error!!!$lterm";
					$EGSA87text.="Error!!!$lterm";
					$HTRS07text.="Error!!!$lterm";
				}
				else {
					$pointDest = EGSA87_to_WGS84($egsapoints[0], $egsapoints[1]);
					if($reversed) $WGS84text.=$pointDest[1].$WGS84vs.$pointDest[0].$lterm;
					else  $WGS84text.=$pointDest[0].$WGS84vs.$pointDest[1].$lterm;
					$EGSA87text.=$egsapoints[0].$EGSA87vs.$egsapoints[1].$lterm;
					$pointDest=EGSA87_to_HTRS07($egsapoints[0], $egsapoints[1]);
					$HTRS07text.=$pointDest[0].$HTRS07vs.$pointDest[1].$lterm;;

				}
			}

		}
		$line = strtok( $lterm );                                                        
	}
	if ($WGS84fmt !="normal") $WGS84text=convert_to_composite($WGS84text,$WGS84fmt);
	if ($WGS84ds==',') {					//text must be converted to dot decimal separator
		 $WGS84text=convert_dot_to_comma($WGS84text);
	}
	if ($EGSA87ds==',') {
		 $EGSA87text=convert_dot_to_comma($EGSA87text);
	}
	if ($HTRS07ds==',') {
		$HTRS07text=convert_dot_to_comma($HTRS07text);		
	}
	if ($HATTds==',') {
		 $HATTtext=convert_dot_to_comma($HATTtext);
	}
	//Store converted text in SESSION variables
	list($_SESSION['WGS84text'],$_SESSION['EGSA87text'],$_SESSION['HTRS07text'])=array($WGS84text,$EGSA87text,$HTRS07text);
	

}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<link rel="shortcut icon" href="favicon.ico">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="keywords" content="coordinate transformation, egsa87, hatt, hrts07, wgs84, μετατροπή συντεταγμένων, ΕΓΣΑ87">
<title>
Μετατροπή συντεταγμένων από/σε ΕΓΣΑ'87
</title>
<style type = "text/css">
h5 {
  font-family: "Verdana", sans-serif;
  color: #000000;
  background-color: #EEFFFF;
  font-size:12px;
}
b {
  font-family: "Verdana", sans-serif;
  color: #000000;
  background-color: #EEFFFF;
  font-size:14px;
}
hr {
  color: #7CF2B7;
  background-color: #7CF2B7;
  height: 4px;
}
form {
  font-family: "Verdana", sans-serif;
  color: #000000;
  background-color: #EEFFFF;
}
input, select,textarea,button{
    font-size:12px;
}
body {
  font-family: "Verdana", sans-serif;
  color: #000000;
  background-color: #EEFFFF;
  font-size:12px;
}
</style>
<script type="text/javascript">

function OnDropDownChange(dropDown) {
    var selectedValue = dropDown.options[dropDown.selectedIndex].value;
    document.getElementById("hfx").value = selectedValue;
} 
/*******/
function mycheck(obj) {
var mystring;
var pattern;
var special;
document.getElementById("Prefs").disabled=false;
	if (obj.name=="WGS84vs") 	 {
		if(document.getElementById("WGS84ds").value==obj.value) 		{
			document.getElementById("WGS84ds").value=".";
		}
	}
	else if (obj.name=="WGS84ds") 	 {
		
		if(document.getElementById("WGS84vs").value==obj.value) document.getElementById("WGS84ds").value=".";
	}

	else if (obj.name=="EGSA87vs") 	 {
		if(document.getElementById("EGSA87ds").value==obj.value) 		{
			document.getElementById("EGSA87ds").value=".";
		}
	}
	else if (obj.name=="EGSA87ds") 	 {
		
		if(document.getElementById("EGSA87vs").value==obj.value) document.getElementById("EGSA87ds").value=".";
	}
	

	else if (obj.name=="HTRS07vs") 	 {
		if(document.getElementById("HTRS07ds").value==obj.value) 		{
			document.getElementById("HTRS07ds").value=".";
		}
	}
	else if (obj.name=="HTRS07ds") 	 {
		
		if(document.getElementById("HTRS07vs").value==obj.value) document.getElementById("HTRS07ds").value=".";
	}

	else if (obj.name=="HATTvs") 	 {
		if(document.getElementById("HATTds").value==obj.value) 		{
			document.getElementById("HATTds").value=".";
		}
	}
	else if (obj.name=="HATTds") 	 {
		
		if(document.getElementById("HATTvs").value==obj.value) document.getElementById("HATTds").value=".";
	}
}
</script>
                                                   
</head>
<body>

<!--*******-->
<table  cellspacing="0" cellpadding="5">        <!--- Big table  -->
<tr><td colspan="2"><hr/></td></tr>        <!--- Big table  -->

<tr><td>        <!--- Big table  -->
<table>        <!--- middle sized table for textareas -->
<tr><td>        <!--- middle sized table  for textareas -->
<table>        <!--- small table  -->

<form method="post" action= "">
<tr><td>
<b>Coordinate convert from WGS84</b>
</td></tr>
<tr><td>
<!--input type="submit" name="fromWGS84text" id="fromWGS84text" value="Convert">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="wgs84file.php"><button type="button" title="Download KML file with placemarks and paths" style="float:right">KML File </button></a><br/>
-->
<input type="submit" name="fromWGS84text" id="fromWGS84text" value="Convert">&nbsp;<?php if( $_SESSION['reversed']==false) echo "[lat&harr;lon]"; else echo "[lon&harr;lat]";?> <a href="wgs84file.php"><button type="button" title="Download KML file with placemarks and paths" style="float:right">KML File </button></a><br/>
</td></tr>

<tr><td>
<textarea name="WGS84text" rows="2" cols="20" id="WGS84text" style="height:180px;width:350px;"  title="Each line should contain:&nbsp; [lat][value separator][long]"><?php echo $WGS84text;?>
</textarea>
</td></tr>
</form>
</table>        <!--- small table  -->
</td><td>        <!--- middle sized table  for textareas -->
<table>        <!--- small table  -->
<form method="post" action= "">
<tr><td>
<b>Coordinate convert from EGSA87</b>
</td></tr>
<tr><td>
<input type="submit" name="fromEGSA87text" id="fromEGSA87text" value="Convert">&nbsp;[x&harr;y]<a href="egsa87file.php"><button type="button" title="Download file suitable for greek ktimatologio" style="float:right">File</button></a><br/>
</td></tr>

<tr><td>
<textarea name="EGSA87text" rows="2" cols="20" id="EGSA87text" style="height:180px;width:350px;"  title="Each line should contain:&nbsp; [x][value separator][y]"><?php  echo $EGSA87text; ?>
</textarea>
</td></tr>
</form>
</table>
</td></tr>        <!--- middle sized table  for textareas -->
<tr><td style="height:30px"></td></tr>
<tr><td>        <!--- middle sized table  for textareas -->
<table>

<form method="post" action= "">
<tr><td>
<b>Coordinate convert from HRTS07</b>
</td></tr>
<tr><td>
<input type="submit" name="fromHTRS07text" id="fromHTRS07text" value="Convert">&nbsp;[x&harr;y]<br/>
</td></tr>

<tr><td>
<textarea name="HTRS07text" rows="2" cols="20" id="HTRS07text" style="height:180px;width:350px;"  title="Each line should contain:&nbsp; [x][value separator][y]"><?php echo $HTRS07text;?>
</textarea>
</td></tr>
<tr><td style="height:30px">&nbsp;</td></tr>     <!-- Blank row to balance the extra row under the HATTtext textarea -->
</form>
</table>
</td><td>        <!--- middle sized table  for textareas -->
<table>

<form method="post"  name="fromHATTtextform"  action= "">

<tr><td>
<b>Coordinate convert from HATT</b>
</td></tr>
<tr><td>
<input type="submit" name="fromHATTtext" id="fromHATTtext" value="Convert">&nbsp;[x&harr;y]

</td></tr>

<tr><td>
<textarea name="HATTtext" rows="2" cols="20" id="HATTtext" style="height:180px;width:350px;"  title="Each line should contain:&nbsp; [x][value separator][y][value separator][map name(s) each name between [] "><?php echo $HATTtext;?>
</textarea>
</td></tr><tr><td style="height:30px">
Use this map:
<select id="hatt_no" name="hatt_no" onChange='document.forms["fromHATTtextform"].submit();'>
<option value="0"<?php if($hatt_no=="0") echo ' selected="selected"';?>>Any map...</option>
<?php

for ($i=0,$len=count($h2e);$i<$len;$i++) echo '<option'.(trim($hatt_no)==trim($h2e[$i]['name'])?' selected="selected">':'>') .$h2e[$i]['name'].'</option><br/>';
?>
</select>
</td></tr>
</form>
</table>
</td></tr>        <!--- middle sized table  for textareas -->
</table>        <!--- middle sized table  for textareas -->
</td><td >        <!--- Big table  -->
<table align="right" style="border:2px solid #7CF2B7;">			<!-- small table for parameters -->
<form method="post" action= "">
<tr><td>
<b>PARAMETERS</b>
</td></tr>				<!-- small table for parameters -->
<tr><td style="height:20px"></td></tr>
<tr><td><b>From WGS84</b></td></tr>
<tr><td valign="top">	

<tr><td>Value separator:
<select id="WGS84vs" name="WGS84vs" onChange="mycheck(this);">
	<option value="," <?php if($WGS84vs== ",") echo "selected";?>>comma(,)</option>
	<option value=" " <?php if($WGS84vs== " ") echo "selected";?>>space&#40;  &nbsp; &#41;</option>
	<option value="|" <?php if($WGS84vs== "|") echo "selected";?>>broken bar(|)</option>
</select>
</td></tr>
<tr><td>Decimal separator:
<select id="WGS84ds" name="WGS84ds" onChange="mycheck(this);">
 <option value="." <?php if($WGS84ds== ".") echo "selected";?>>full stop(.)</option>
  <option value="," <?php if($WGS84ds== ",") echo "selected";?>>comma(,)</option>
</select>
</td></tr>
<tr><td>Number format:
<select id="WGS84fmt" name="WGS84fmt" onChange="mycheck(this);">
 <option value="normal" <?php if($WGS84fmt== "normal") echo "selected";?>>Decimal degrees</option>
  <option value="colon" <?php if($WGS84fmt== "colon") echo "selected";?>>dd:mm:ss</option>
  <option value="varsigns" <?php if($WGS84fmt== "varsigns") echo "selected";?>>dd&deg;mm'ss"</option>
</select>
</td></tr>
<tr><td>
<label for="reversed" title="Reverses, latidude longitude internally (not on screen)">Reverse Lat-Lon:</label><input type="checkbox" name="reversed" id="reversed" <?php if($reversed) echo " checked";?> onChange="mycheck(this);"/>
</td></tr>

<tr><td style="height:20px"></td></tr>
<tr><td><b>From EGSA87</b></td></tr>

<tr><td valign="top">Value separator:
<select id="EGSA87vs" name="EGSA87vs" onChange="mycheck(this);">
	<option value=","  <?php if($EGSA87vs== ",") echo "selected";?>>comma(,)</option>
	<option value=" "  <?php if($EGSA87vs== " ") echo "selected";?>>space&#40;  &nbsp; &#41;</option>
	<option value="|" <?php if($EGSA87vs== "|") echo "selected";?>>broken bar(|)</option>
</select>
</td></tr>

<tr><td>Decimal separator:
<select id="EGSA87ds" name="EGSA87ds" onChange="mycheck(this);">
 <option value="." <?php if($EGSA87ds== ".") echo "selected";?>>full stop(.)</option>
  <option value="," <?php if($EGSA87ds== ",") echo "selected";?>>comma(,)</option>
</select>
<!--<input type="submit" name="EGSA87prefs" id="EGSA87prefs" value="OK" style="margin-left:30px">   -->

</td></tr>
<tr><td style="height:20px"></td></tr>
<tr><td><b>From HRTS07</b></td></tr>

<tr><td valign="top">Value separator:
<select id="HTRS07vs" name="HTRS07vs" onChange="mycheck(this);">
	<option value=","  <?php if($HTRS07vs== ",") echo "selected";?>>comma(,)</option>
	<option value=" "  <?php if($HTRS07vs== " ") echo "selected";?>>space&#40;  &nbsp; &#41;</option>
	<option value="|" <?php if($HTRS07vs== "|") echo "selected";?>>broken bar(|)</option>
</select>
</td></tr>

<tr><td>Decimal separator:
<select id="HTRS07ds" name="HTRS07ds" onChange="mycheck(this);">
 <option value="." <?php if($HTRS07ds== ".") echo "selected";?>>full stop(.)</option>
  <option value="," <?php if($HTRS07ds== ",") echo "selected";?>>comma(,)</option>
</select>
<!--<input type="submit" name="HTRS07prefs" id="HTRS07prefs" value="OK" style="margin-left:30px">   -->

</td></tr>

<tr><td style="height:20px"></td></tr>
<tr><td><b>From HATT</b></td></tr>

<tr><td>Value separator:
<select id="HATTvs" name="HATTvs" onChange="mycheck(this);">
	<option value=","  <?php if($HATTvs== ",") echo "selected";?>>comma(,)</option>
	<option value=" "  <?php if($HATTvs== " ") echo "selected";?> >space&#40;  &nbsp; &#41;</option>
	<option value="|" <?php if($HATTvs== "|") echo "selected";?>>broken bar(|)</option>
</select>
</td></tr>
<tr><td>Decimal separator:
<select id="HATTds" name="HATTds" onChange="mycheck(this);">
 <option value=","   <?php if($HATTds== ",") echo "selected";?>>comma(,)</option>
  <option value="."   <?php if($HATTds== ".") echo "selected";?>>full stop(.)</option>
</select>
</td></tr>
<tr><td style="height:20px"></td></tr>
<tr><td><input type="submit" name="Prefs" id="Prefs"   value="Submit options" disabled>


<input type="submit" name="clear_all" id="clear_all" value="Clear all">
</td></tr> 	
</form>
</table>				<!-- small table for parameters -->
<tr><td colspan="2"><hr/></td></tr>        <!--- Big table  -->



<tr><td colspan="2" >
<label title="For info:Names of HATT maps sharing the same in φ,λ in 1:100.000 scale ">HATT maps grouped according to their φ,λ center </label>
<select title="For info:Names of HATT maps sharing the same in φ,λ in 1:100.000 scale ">
<option>35&deg;15',-0&deg;15'->[ΚΑΣΤΕΛΛΙΟΝ(ΚΙΣΣΑΜΟΣ)][ΠΑΛΑΙΟΧΩΡΑ].</option>
<option>35&deg;15',+0&deg;15'->[ΒΑΤΟΛΑΚΚΟΣ][ΒΡΥΣΑΙ][ΝΗΣΟΣ ΓΑΥΔΟΣ][ΠΕΡΙΒΟΛΙΑ][ΧΑΝΙΑ].</option>
<option>35&deg;15',+0&deg;45'->[ΜΕΛΑΜΠΕΣ][ΠΕΡΑΜΑ][ΡΕΘΥΜΝΟΝ][ΣΕΛΛΙΑ].</option>
<option>35&deg;15',+1&deg;15'->[ΑΝΤΙΣΚΑΡΙΟΝ][ΑΝΩΓΕΙΑ][ΑΧΕΝΤΡΙΑΣ][ΕΠΑΝΩ ΑΧΑΡΝΑΙ][ΗΡΑΚΛΕΙΟΝ][ΤΥΜΠΑΚΙΟΝ].</option>
<option>35&deg;15',+1&deg;45'->[ΑΓ.ΝΙΚΟΛΑΟΣ ΚΡΗΤΗΣ][ΑΝΩ ΒΙΑΝΝΟΣ][ΙΕΡΑΠΕΤΡΑ][ΜΟΧΟΣ].</option>
<option>35&deg;15',+2&deg;15'->[ΚΑΤΩ ΧΩΡΙΟΝ][ΝΗΣΟΙ ΔΙΟΝΥΣΑΔΕΣ][ΠΑΛΑΙΚΑΣΤΡΟΝ][ΣΗΤΕΙΑ].</option>
<option>35&deg;15',+3&deg;15'->[ΝΗΣΟΣ ΚΑΣΟΣ].</option>
<option>35&deg;45',-0&deg;15'->[ΑΝΤΙΚΥΘΗΡΑ].</option>
<option>35&deg;45',+3&deg;15'->[ΚΑΡΠΑΘΟΣ][ΟΛΥΜΠΟΣ ΚΑΡΠΑΘΟΥ].</option>
<option>36&deg;15',-0&deg;45'->[ΑΓ.ΝΙΚΟΛΑΟΣ ΒΟΙΩΝ (Ν.ΤΜΗΜΑ)][ΚΥΘΗΡΑ][ΠΟΤΑΜΟΣ(Ν.ΤΜΗΜΑ)].</option>
<option>36&deg;15',+1&deg;45'->[ΝΗΣΟΣ ΘΗΡΑ].</option>
<option>36&deg;15',+2&deg;15'->[ΝΗΣΟΣ ΑΝΑΦΗ].</option>
<option>36&deg;15',+2&deg;45'->[ΝΗΣΟΙ ΣΟΦΡΑΝΑ][ΝΗΣΟΣ ΣΥΡΝΑ].38.6</option>
<option>36&deg;15',+3&deg;45'->[ΝΗΣΟΣ ΤΗΛΟΣ][ΧΑΛΚΗ].</option>
<option>36&deg;15',+4&deg;15'->[ΑΡΧΑΓΓΕΛΟΣ][ΓΕΝΝΑΔΙΟΝ][ΕΜΠΩΝΑΣ][ΡΟΔΟΣ].</option>
<option>36&deg;15',+5&deg;45'->[ΝΗΣΟΣ ΜΕΓΙΣΤΗ(ΚΑΣΤΕΛΛΟΡΙΖΟ)].</option>
<option>36&deg;45',-1&deg;45'->[ΚΑΡΔΑΜΥΛΗ][ΚΟΡΩΝΗ][ΝΗΣΟΣ ΣΧΙΖΑ][ΠΥΛΟΣ].</option>
<option>36&deg;45',-1&deg;15'->[ΑΡΕΟΠΟΛΙΣ][ΓΕΡΟΛΙΜΗΝ][ΓΥΘΕΙΟΝ][ΜΑΥΡΟΒΟΥΝΙΟΝ][ΞΗΡΟΚΑΜΠΙΟΝ].</option>
<option>36&deg;45',-0&deg;45'->[ΑΓ.ΝΙΚΟΛΑΟΣ ΒΟΙΩΝ (Β.ΤΜΗΜΑ)][ΜΟΛΑΟΙ][ΝΕΑΠΟΛΙΣ][ΠΑΠΠΑΔΙΑΝΙΚΑ][ΠΟΤΑΜΟΣ(Β.ΤΜΗΜΑ)][ΡΕΙΧΕΑ].</option>
<option>36&deg;45',+0&deg;45'->[ΚΙΜΩΛΟΣ][ΜΗΛΟΣ][ΝΗΣΟΣ ΣΙΦΝΟΣ].</option>
<option>36&deg;45',+1&deg;15'->[ΔΕΣΠΟΤΙΚΟΝ][ΣΙΚΙΝΟΣ][ΦΟΛΕΓΑΔΡΟΣ].</option>
<option>36&deg;45',+1&deg;45'->[ΔΥΤ.ΗΡΑΚΛΕΙΑ][ΙΟΣ][ΣΧΟΙΝΟΥΣΑ].</option>
<option>36&deg;45',+2&deg;15'->[ΑΙΓΙΑΛΗ][ΑΜΟΡΓΟΣ].</option>
<option>36&deg;45',+2&deg;45'->[ΑΣΤΥΠΑΛΑΙΑ][ΝΗΣΟΙ ΛΕΒΙΘΑ].</option>
<option>36&deg;45',+3&deg;15'->[ΚΑΛΥΜΝΟΣ][ΚΕΦΑΛΟΣ][ΚΩΣ][ΝΗΣΟΣ ΝΙΣΥΡΟΣ].</option>
<option>36&deg;45',+4&deg;15'->[ΝΗΣΟΣ ΣΥΜΗ].</option>
<option>37&deg;15',-2&deg;15'->[ΚΥΠΑΡΙΣΣΙΑ][ΦΙΛΙΑΤΡΑ].</option>
<option>37&deg;15',-1&deg;45'->[ΚΑΛΑΜΑΙ][ΚΑΤΩ ΦΙΓΑΛΕΙΑ][ΜΕΓΑΛΟΠΟΛΙΣ][ΜΕΛΙΓΑΛΑΣ].</option>
<option>37&deg;15',-1&deg;15'->[ΑΣΤΡΟΣ][ΓΚΟΡΙΤΣΑ][ΚΟΛΛΙΝΑΙ][ΣΠΑΡΤΗ].</option>
<option>37&deg;15',-0&deg;45'->[ΛΕΩΝΙΔΙΟΝ][ΠΑΡΑΛΙΟΝ ΑΣΤΡΟΣ][ΣΠΕΤΣΑΙ][ΣΠΕΤΣΟΠΟΥΛΑ].</option>
<option>37&deg;15',-0&deg;15'->[ΑΝΑΤΟΛΙΚΗ ΥΔΡΑ][ΥΔΡΑ].</option>
<option>37&deg;15',+0&deg;45'->[ΝΗΣΟΣ ΚΥΘΝΟΣ][ΝΗΣΟΣ ΣΕΡΙΦΟΣ].</option>
<option>37&deg;15',+1&deg;15'->[ΕΡΜΟΥΠΟΛΙΣ][ΠΑΡΟΣ].</option>
<option>37&deg;15',+1&deg;45'->[ΜΥΚΟΝΟΣ][ΝΑΞΟΣ][ΝΗΣΟΣ ΡΗΝΕΙΑ][ΦΙΛΟΤΙΟΝ].</option>
<option>37&deg;15',+2&deg;45'->[ΝΗΣΟΣ ΠΑΤΜΟΣ].</option>
<option>37&deg;15',+3&deg;15'->[ΑΓΑΘΟΝΗΣΙΟΝ][ΛΕΡΟΣ].</option>
<option>37&deg;45',-3&deg;15'->[ΒΟΛΙΜΑΙ].</option>
<option>37&deg;45',-2&deg;45'->[ΒΑΡΘΟΛΟΜΙΟΝ][ΖΑΚΥΝΘΟΣ].</option>
<option>37&deg;45',-2&deg;15'->[ΑΜΑΛΙΑΣ][ΓΟΥΜΕΡΟΝ][ΟΛΥΜΠΙΑ][ΠΥΡΓΟΣ].</option>
<option>37&deg;45',-1&deg;45'->[ΔΑΦΝΗ][ΔΗΜΗΤΣΑΝΑ][ΚΕΡΤΕΖΗ][ΤΡΟΠΑΙΑ].</option>
<option>37&deg;45',-1&deg;15'->[ΑΡΓΟΣ][ΚΑΝΔΗΛΑ][ΝΕΜΕΑ][ΤΡΙΠΟΛΗ].</option>
<option>37&deg;45',-0&deg;45'->[ΚΟΡΙΝΘΟΣ][ΛΥΓΟΥΡΙΟΝ][ΝΑΥΠΛΙΟΝ][ΣΟΦΙΚΟΝ].</option>
<option>37&deg;45',-0&deg;15'->[ΑΓΙΑ ΜΑΡΙΝΑ][ΑΘΗΝΑ-ΠΕΙΡΑΙΑΣ][ΜΕΓΑΡΑ][ΜΕΘΑΝΑ].</option>
<option>37&deg;45',+0&deg;15'->[ΑΘΗΝΑ-ΚΟΡΩΠΙ][ΛΑΥΡΙΟΝ][ΠΛΑΚΑ].</option>
<option>37&deg;45',+0&deg;45'->[ΝΗΣΟΣ ΚΕΑ].</option>
<option>37&deg;45',+1&deg;15'->[ΑΝΔΡΟΣ][ΓΑΥΡΙΟΝ(ΑΝΑΤ.ΤΜΗΜΑ)][ΠΙΣΩ ΜΕΡΙΑ][ΤΗΝΟΣ].</option>
<option>37&deg;45',+2&deg;15'->[ΑΓΙΟΣ ΚΗΡΥΚΟΣ][ΚΑΡΚΙΝΑΓΡΙΟΝ].</option>
<option>37&deg;45',+2&deg;45'->[ΝΕΟΝ ΚΑΡΛΟΒΑΣΙΟΝ][ΦΟΥΡΝΟΙ].</option>
<option>37&deg;45',+3&deg;15'->[ΣΑΜΟΣ].</option>
<option>38&deg;15',-3&deg;15'->[ΑΓΙΑ ΕΙΡΗΝΗ][ΑΘΕΡΑΣ][ΑΡΓΟΣΤΟΛΙ][ΙΘΑΚΗ].</option>
<option>38&deg;15',-2&deg;45'->[ΕΧΙΝΑΔΕΣ][ΝΗΣΟΣ ΑΤΟΚΟΣ].</option>
<option>38&deg;15',-2&deg;15'->[ΕΥΗΝΟΧΩΡΙΟΝ][ΜΕΣΟΛΟΓΓΙΟΝ][ΝΕΑ ΜΑΝΟΛΑΣ][ΠΑΤΡΑΙ].</option>
<option>38&deg;15',-1&deg;45'->[ΑΙΓΙΟΝ][ΑΜΥΓΔΑΛΕΑ][ΝΑΥΠΑΚΤΟΣ][ΧΑΛΑΝΔΡΙΤΣΑ].</option>
<option>38&deg;15',-1&deg;15'->[ΑΡΑΧΩΒΑ][ΔΕΡΒΕΝΙΟΝ][ΙΤΕΑ][ΞΥΛΟΚΑΣΤΡΟΝ].</option>
<option>38&deg;15',-0&deg;45'->[ΒΑΓΙΑ][ΚΑΠΑΡΕΛΛΙΟΝ][ΛΕΒΑΔΕΙΑ][ΠΕΡΑΧΩΡΑ].</option>
<option>38&deg;15',-0&deg;15'->[ΑΘΗΝΑΙ-ΕΛΕΥΣΙΣ][ΕΡΥΘΡΑΙ][ΘΗΒΑΙ][ΧΑΛΚΙΣ].</option>
<option>38&deg;15',+0&deg;15'->[ΑΛΙΒΕΡΙΟΝ][ΚΗΦΙΣΙΑ][ΝΕΑ ΨΑΡΑ(ΕΡΕΤΡΕΙΑ)][ΡΑΦΗΝΑ].</option>
<option>38&deg;15',+0&deg;45'->[ΑΚΡΑ ΠΑΞΙΜΑΔΙ][ΓΑΥΡΙΟΝ(ΒΟΡ.ΤΜΗΜΑ)][ΚΑΡΥΣΤΟΣ][ΠΛΑΤΑΝΙΣΤΟΣ].</option>
<option>38&deg;15',+2&deg;15'->[ΜΕΣΤΑ][ΧΙΟΣ-ΘΥΜΙΑΝΑ].</option>
<option>38&deg;45',-3&deg;15'->[ΑΓΙΟΣ ΠΕΤΡΟΣ][ΛΕΥΚΑΣ].</option>
<option>38&deg;45',-2&deg;45'->[ΑΜΦΙΛΟΧΙΑ][ΑΣΤΑΚΟΣ][ΒΟΝΙΤΣΑ][ΚΑΛΑΜΟΣ].</option>
<option>38&deg;45',-2&deg;15'->[ΑΓΡΙΝΙΟΝ][ΑΛΕΥΡΑΔΑ][ΘΕΡΜΟΝ][ΦΡΑΓΚΙΣΤΑ].</option>
<option>38&deg;45',-1&deg;45'->[ΚΑΡΠΕΝΗΣΙΟΝ][ΚΛΕΠΑ][ΛΙΔΟΡΙΚΙΟΝ][ΣΠΕΡΧΕΙΑΣ].</option>
<option>38&deg;45',-1&deg;15'->[ΑΜΦΙΚΛΕΙΑ][ΑΜΦΙΣΣΑ][ΛΑΜΙΑ][ΣΤΥΛΙΣ].</option>
<option>38&deg;45',-0&deg;45'->[ΕΛΑΤΕΙΑ][ΙΣΤΙΑΙΑ][ΛΙΒΑΝΑΤΑΙ][ΠΕΛΑΣΓΙΑ].</option>
<option>38&deg;45',-0&deg;15'->[ΛΑΡΥΜΝΑ][ΛΙΜΝΗ][ΠΗΛΙΟΝ][ΨΑΧΝΑ].</option>
<option>38&deg;45',+0&deg;15'->[ΚΥΜΗ][ΣΤΕΝΗ ΔΙΡΦΥΟΣ].</option>
<option>38&deg;45',+0&deg;45'->[ΣΚΥΡΟΣ].</option>
<option>38&deg;45',+2&deg;15'->[ΒΟΛΙΣΣΟΣ][ΧΙΟΣ-ΒΡΟΝΤΑΔΟΣ][ΨΑΡΑ].</option>
<option>39&deg;15',-3&deg;45'->[ΝΗΣΟΙ ΠΑΞΟΙ].</option>
<option>39&deg;15',-3&deg;15'->[ΑΜΜΟΥΔΙΑ][ΚΑΝΑΛΛΑΚΙΟΝ][ΠΑΡΑΜΥΘΙΑ][ΠΑΡΓΑ].</option>
<option>39&deg;15',-2&deg;45'->[ΑΓΝΑΝΤΑ][ΑΡΤΑ][ΠΑΠΑΔΑΤΑΙ][ΠΕΤΑΣ].</option>
<option>39&deg;15',-2&deg;15'->[ΑΓΡΑΦΑ][ΜΟΥΖΑΚΙΟΝ][ΜΥΡΟΦΥΛΛΟΝ][ΡΑΠΤΟΠΟΥΛΟΝ].</option>
<option>39&deg;15',-1&deg;45'->[ΚΑΡΔΙΤΣΑ][ΛΕΟΝΤΑΡΙΟΝ][ΣΟΦΑΔΕΣ][ΦΟΥΡΝΑ].</option>
<option>39&deg;15',-1&deg;15'->[ΒΕΛΕΣΤΙΝΟΝ][ΔΟΜΟΚΟΣ][ΕΥΞΕΙΝΟΥΠΟΛΙΣ][ΦΑΡΣΑΛΑ].</option>
<option>39&deg;15',-0&deg;45'->[ΑΛΜΥΡΟΣ][ΑΡΓΑΛΙΑΣΤΗ][ΒΟΛΟΣ][ΖΑΓΟΡΑ].</option>
<option>39&deg;15',-0&deg;15'->[ΣΚΙΑΘΟΣ][ΣΚΟΠΕΛΟΣ][ΣΥΚΗ].</option>
<option>39&deg;15',+0&deg;15'->[ΑΛΟΝΗΣΟΣ][ΚΥΡΑ ΠΑΝΑΓΙΑ][ΝΗΣΟΙ ΣΚΑΝΤΖΟΥΡΑ].</option>
<option>39&deg;15',+2&deg;15'->[ΕΡΕΣΟΣ][ΜΥΘΗΜΝΑ][ΠΟΛΙΧΝΙΤΟΣ].</option>
<option>39&deg;15',+2&deg;45'->[ΑΓΙΑ ΠΑΡΑΣΚΕΥΗ][ΜΥΤΙΛΗΝΗ][ΠΛΩΜΑΡΙΟΝ].</option>
<option>39&deg;45',-3&deg;45'->[AΓ. ΜΑΤΘΑΙΟΣ][ΚΑΡΟΥΣΑΔΕΣ][ΚΕΡΚΥΡΑ][ΛΕΥΚΙΜΗ][ΛΙΑΠΑΔΕΣ][ΝΥΜΦΑΙ].</option>
<option>39&deg;45',-3&deg;15'->[ΔΕΛΒΙΝΑΚΙΟΝ][ΔΟΛΙΑΝΑ][ΚΛΗΜΑΤΙΑ][ΣΑΓΙΑΔΑ][ΦΙΛΙΑΤΑΙ].</option>
<option>39&deg;45',-2&deg;45'->[ΙΩΑΝΝΙΝΑ][ΜΕΤΣΟΒΟΝ][ΠΡΑΜΑΝΤΑ][ΤΣΕΠΕΛΟΒΟΝ].</option>
<option>39&deg;45',-2&deg;15'->[ΑΓΙΟΦΥΛΛΟΝ][ΚΑΛΑΜΠΑΚΑ][ΚΑΣΤΑΝΕΑ][ΠΑΝΑΓΙΑ].</option>
<option>39&deg;45',-1&deg;45'->[ΔΕΣΚΑΤΗ][ΕΛΑΣΣΩΝ][ΤΡΙΚΑΛΑ][ΦΑΡΚΑΔΩΝ].</option>
<option>39&deg;45',-1&deg;15'->[ΓΟΝΝΟΙ][ΛΑΡΙΣΑ][ΠΛΑΤΥΚΑΜΠΟΣ][ΡΑΨΑΝΗ].</option>
<option>39&deg;45',-0&deg;45'->[ΑΓΙΑ][ΚΑΡΙΤΣΑ][ΠΑΝΑΓΙΑ ΑΓΙΑΣ].</option>
<option>39&deg;45',+1&deg;15'->[ΜΥΡΙΝΑ][ΝΗΣ. ΑΓΙΟΣ ΕΥΣΤΡΑΤΙΟΣ].</option>
<option>39&deg;45',+1&deg;45'->[ΜΟΥΔΡΟΣ].</option>
<option>40&deg;15',-3&deg;15'->[ΒΑΣΙΛΙΚΟΝ][ΠΩΓΩΝΙΑΝΗ].</option>
<option>40&deg;15',-2&deg;45'->[ΓΡΑΜΟΣ][ΚΟΝΙΤΣΑ][ΜΠΟΡΟΒΑ][ΝΕΣΤΟΡΙΟΝ][ΠΕΝΤΑΛΟΦΟΣ].</option>
<option>40&deg;15',-2&deg;15'->[ΑΡΓΟΣ ΟΡΕΣΤΙΚΟΝ][ΓΡΕΒΕΝΑ][ΚΝΙΔΗ][ΣΙΑΤΙΣΤΑ].</option>
<option>40&deg;15',-1&deg;45'->[ΒΕΛΒΕΝΤΟΣ][ΚΟΖΑΝΗ][ΛΙΒΑΔΕΡΟΝ][ΛΙΒΑΔΙΟΝ].</option>
<option>40&deg;15',-1&deg;15'->[ΚΑΤΕΡΙΝΗ][ΚΟΛΙΝΔΡΟΣ][ΚΟΝΤΑΡΙΩΤΙΣΣΑ][ΛΙΤΟΧΩΡΟΝ].</option>
<option>40&deg;15',-0&deg;45'->[ΒΑΣΙΛΙΚΑ][ΕΠΑΝΟΜΗ].</option>
<option>40&deg;15',-0&deg;15'->[ΑΡΝΑΙΑ][ΚΑΛΑΝΔΡΑ][ΚΑΣΣΑΝΔΡΕΙΑ][ΝΙΚΗΤΑΣ][ΠΑΛΙΟΥΡΙΟΝ][ΠΟΛΥΓΥΡΟΣ].</option>
<option>40&deg;15',+0&deg;15'->[ΑΘΩΣ][ΙΕΡΙΣΣΟΣ][ΚΑΛΑΜΙΤΣΙΟΝ][ΚΑΡΥΑΙ][ΣΥΚΕΑ].</option>
<option>40&deg;15',+1&deg;45'->[ΝΗΣΟΣ ΣΑΜΟΘΡΑΚΗ].</option>
<option>40&deg;45',-2&deg;45'->[ΑΝΤΑΡΤΙΚΟΝ][ΚΟΡΥΤΣΑ][ΜΕΣΟΠΟΤΑΜΙΑ][ΠΟΝΤΓΚΟΡΙ].</option>
<option>40&deg;45',-2&deg;15'->[ΒΕΥΗ][ΚΑΣΤΟΡΙΑ][ΠΤΟΛΕΜΑΙΣ][ΦΛΩΡΙΝΑ].</option>
<option>40&deg;45',-1&deg;45'->[ΑΡΝΙΣΣΑ][ΒΕΡΟΙΑ][ΕΔΕΣΣΑ][ΠΥΡΓΟΙ].</option>
<option>40&deg;45',-1&deg;15'->[ΑΛΕΞΑΝΔΡΕΙΑ][ΓΙΑΝΝΙΤΣΑ][ΚΟΥΦΑΛΙΑ][ΠΛΑΤΥ].</option>
<option>40&deg;45',-0&deg;45'->[ΘΕΡΜΗ][ΘΕΣΣΑΛΟΝΙΚΗ][ΚΙΛΚΙΣ][ΛΑΧΑΝΑΣ].</option>
<option>40&deg;45',-0&deg;15'->[ΖΑΓΚΛΙΒΕΡΙΟΝ][ΣΙΤΟΧΩΡΙΟΝ][ΣΟΧΟΣ][ΣΤΑΥΡΟΣ].</option>
<option>40&deg;45',+0&deg;15'->[ΛΟΥΤΡΑ ΕΛΕΥΘΕΡΩΝ][ΝΙΚΗΣΙΑΝΗ][ΡΟΔΟΛΙΒΟΣ][ΣΤΡΑΤΟΝΙΚΗ].</option>
<option>40&deg;45',+0&deg;45'->[ΚΑΒΑΛΑ][ΝΗΣΟΣ ΘΑΣΟΣ][ΧΡΥΣΟΥΠΟΛΙΣ].</option>
<option>40&deg;45',+1&deg;15'->[ΑΒΔΗΡΑ][ΜΕΣΗ].</option>
<option>40&deg;45',+1&deg;45'->[ΜΑΡΩΝΕΙΑ][ΞΥΛΑΓΑΝΗ].</option>
<option>40&deg;45',+2&deg;15'->[ΑΙΝΟΣ][ΑΛΕΞΑΝΔΡΟΥΠΟΛΗ][ΠΕΠΛΟΣ][ΦΕΡΑΙ].</option>
<option>41&deg;15',-1&deg;45'->[ΒΙΤΟΛΙΣΤΕ][ΠΡΟΜΑΧΟΙ].</option>
<option>41&deg;15',-1&deg;15'->[ΕΥΖΩΝΟΙ][ΣΚΡΑ].</option>
<option>41&deg;15',-0&deg;45'->[ΚΑΣΤΑΝΟΥΣΣΑ][ΚΕΡΚΙΝΗ][ΠΟΡΟΪΑ][ΧΕΡΣΟΝ].</option>
<option>41&deg;15',-0&deg;15'->[ΑΧΛΑΔΟΧΩΡΙΟΝ][ΝΕΟ ΠΕΤΡΙΤΣΙΟΝ][ΣΕΡΡΑΙ][ΣΙΔΗΡΟΚΑΣΤΡΟΝ].</option>
<option>41&deg;15',+0&deg;15'->[ΔΡΑΜΑ][ΚΑΤΩ ΝΕΥΡΟΚΟΠΙΟΝ][ΝΤΟΣΠΑΤ][ΠΟΤΑΜΟΙ][ΠΡΟΣΟΤΣΑΝΗ].</option>
<option>41&deg;15',+0&deg;45'->[ΚΡΗΝΙΔΕΣ][ΛΕΚΑΝΗ][ΜΕΣΟΧΩΡΙΟΝ][ΝΤΕΒΙΝ][ΠΑΡΑΝΕΣΤΙΟΝ][ΣΜΟΛΓΙΑΝ].</option>
<option>41&deg;15',+1&deg;15'->[ΕΧΙΝΟΣ][ΙΑΣΜΟΣ][ΜΕΔΟΥΣΑ][ΞΑΝΘΗ].</option>
<option>41&deg;15',+1&deg;45'->[ΚΑΡΔΑΜΟΣ][ΚΟΜΟΤΗΝΗ][ΜΥΤΙΚΑΣ][ΣΑΠΑΙ].</option>
<option>41&deg;15',+2&deg;15'->[ΑΙΣΥΜΗ][ΒΥΡΣΙΝΗ][ΜΕΓΑ ΔΕΡΕΙΟΝ][ΜΕΤΑΞΑΔΕΣ].</option>
<option>41&deg;15',+2&deg;45'->[ΔΙΔΥΜΟΤΕΙΧΟΝ][ΠΥΘΙΟΝ][ΣΟΥΦΛΙΟΝ].</option>
<option>41&deg;45',+2&deg;15'->[ΟΡΜΕΝΙΟΝ].</option>
<option>41&deg;45',+2&deg;45'->[ΟΡΕΣΤΙΑΣ][ΡΙΖΙΑ].</option>
</select>

<tr><td colspan="2"><hr/></td></tr>        <!--- Big table  -->



<tr><td colspan="2">
<a href="help.txt" target="_blank"><button type="button" title="Help" style="float:left">Help</button></a>
<a href="zip.php" ><button type="button" title="Download php source and auxiliary files" style="float:right">Source files</button></a>



</td></tr></table>        <!--- Big table  -->


</body>
</html>


